Bug 886259 - Deployed docs refer to CSS files that are not necessarily available/deployed.
Summary: Deployed docs refer to CSS files that are not necessarily available/deployed.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-doc
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.3.0
Assignee: Kiril Nesenko
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-11 21:56 UTC by Stephen Gordon
Modified: 2014-07-11 00:09 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-18 08:28:10 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Stephen Gordon 2012-12-11 21:56:43 UTC
Description of problem:

The deployed documentation links to menu.css and print.css files that exist, in addition to those that do. I believe this is because publican allows you to deploy styles at both the site and brand level. We are currently only using one of these, under the common folder.

We should look into whether we can strip the errant directives linking to these files that currently result in 404s.

Additional Info:

<awels> Good afternoon/evening depending on which timezone you are in.                                
<steveg> hi
<awels> I am the new RHEV UI developer. I am working on the symlink/documentation in different locales issue
<steveg> lucky you ;)
<awels> its pretty straight forward, but while working on it I noticed references to non existing style sheets in the documentation
<steveg> which ones?
<awels> <link href="../../../menu.css" type="text/css" rel="stylesheet">
<awels> <link media="print" href="../../../print.css" type="text/css" rel="stylesheet">
<awels> those basically resolve to the root of the docs tree
<awels> and there are no style sheets in there.
<awels> Also there is a menu.css defined here as well
<awels> <link href="../../../common/en-US/css/menu.css" type="text/css" rel="stylesheet">
<steveg> right
<steveg> they are part of publican's fallback system for styles
<awels> so I don't know if those are extra or no longer needed but never removed.
<awels> Right now we just return a 404, since they don't exist.
<steveg> at the moment they are surplus, so i could technically drop them
<steveg> but we are trying to minimize the amount of interference we do with the HTML
<steveg> as it's the same HTML deployed to access.redhat.com
<steveg> i believe the reason they include both menu.css links (for example) is that you can have styles at both the site and brand (package) level
<awels> Well I just noticed the missing files, and I wasn't sure if those were links that should point to an actual file or if they were dead links.
<awels> Just wanted to make you aware, that is all.
<steveg> i will raise a bug to see if we can clean it up but in this deployment scenario i would say they are intentionally dead
<awels> Okay, I will stop worrying about it then, and just return the 404 as expected.
<steveg> yeah, im raising a bug against the rhevm-doc package to follow up

Comment 9 Kiril Nesenko 2013-12-18 08:28:10 UTC
Closing


Note You need to log in before you can comment on or make changes to this bug.